org.apache.xmlbeans.impl.common

## Class XMLNameHelper

- java.lang.Object
- - org.apache.xmlbeans.impl.common.XMLNameHelper

-     public class XMLNameHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLNameHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMLName` | `forLN(String localname)`
    `static XMLName` | `forLNS(String localname, String uri)`
    `static XMLName` | `forPretty(String pretty, int offset)`
    `static QName` | `getQName(XMLName xmlName)`
    `static String` | `hexsafe(String s)`
    `static String` | `hexsafedir(XMLName name)`
    `static String` | `pretty(XMLName name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLNameHelper

          public XMLNameHelper()

  - ### Method Detail

    - #### getQName

          public static QName getQName(XMLName xmlName)

    - #### forLNS

          public static XMLName forLNS(String localname,
                                       String uri)

    - #### forLN

          public static XMLName forLN(String localname)

    - #### forPretty

          public static XMLName forPretty(String pretty,
                                          int offset)

    - #### pretty

          public static String pretty(XMLName name)

    - #### hexsafe

          public static String hexsafe(String s)

    - #### hexsafedir

          public static String hexsafedir(XMLName name)